        !COMPILER-GENERATED INTERFACE MODULE: Mon Sep 29 10:16:52 2014
        MODULE TID2__genmod
          INTERFACE 
            FUNCTION TID2(SLAT,SLONG,SH,KIND,ALPHA,ASTRON) RESULT(TID2_0&
     &)
              REAL(KIND=8) :: SLAT
              REAL(KIND=8) :: SLONG
              REAL(KIND=8) :: SH
              INTEGER(KIND=4) :: KIND
              REAL(KIND=8) :: ALPHA
              REAL(KIND=8) :: ASTRON(12)
              REAL(KIND=8) :: TID2_0
            END FUNCTION TID2
          END INTERFACE 
        END MODULE TID2__genmod
